summaryrefslogtreecommitdiff
path: root/tests/mv
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2002-03-17 16:17:29 +0000
committerJim Meyering <jim@meyering.net>2002-03-17 16:17:29 +0000
commitfc1e984e89c3d0c47fc3a4d2dcdc5d98ac812109 (patch)
treed667922a434df5c960c26ff40498a14cc19dbd59 /tests/mv
parent24c61a8949cd68c7e3dc423f32a0c1cc6561329b (diff)
downloadcoreutils-fc1e984e89c3d0c47fc3a4d2dcdc5d98ac812109.tar.xz
*** empty log message ***
Diffstat (limited to 'tests/mv')
-rwxr-xr-xtests/mv/part-fail45
1 files changed, 45 insertions, 0 deletions
diff --git a/tests/mv/part-fail b/tests/mv/part-fail
new file mode 100755
index 000000000..d7f6a8638
--- /dev/null
+++ b/tests/mv/part-fail
@@ -0,0 +1,45 @@
+#!/bin/sh
+# Make sure we give a sensible diagnostic when a cross-device `mv'
+# fails, e.g., because the destination cannot be unlinked.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ FIXME --version
+fi
+
+. $srcdir/setup
+. $srcdir/../envvar-check
+. $srcdir/../lang-default
+PRIV_CHECK_ARG=require-non-root . $srcdir/../priv-check
+
+if test -z "$other_partition_tmpdir"; then
+ exit 77
+fi
+
+pwd=`pwd`
+tmp=part-fail.$$
+trap 'status=$?; cd $pwd; chmod u+w $other_partition_tmpdir;rm -rf $tmp $other_partition_tmpdir && exit $status' 0
+trap '(exit $?); exit' 1 2 13 15
+
+framework_failure=0
+mkdir $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+touch k $other_partition_tmpdir/k || framework_failure=1
+chmod u-w $other_partition_tmpdir || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo '$0: failure in testing framework' 1>&2
+ (exit 1); exit
+fi
+
+fail=0
+
+mv -f k $other_partition_tmpdir 2> out && fail=1
+cat <<EOF > exp
+mv: inter-device move failed: \`k' to \`$other_partition_tmpdir/k'; unable to remove target: Permission denied
+EOF
+
+cmp out exp || fail=1
+test $fail = 1 && diff out exp 2> /dev/null
+
+(exit $fail); exit